Folders API
4 REST endpoints for folders, each with its parameters, the response it returns and a runnable curl example. Starts with GET /api/folders.
GET/api/foldersFolders
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Examples in 22 languages and Try it →
Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
POST/api/foldersCreate or update folders
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 4
| Name | In | Description |
|---|---|---|
name | body | JSON request field |
color | body | JSON request field |
icon | body | JSON request field |
defaults | body | JSON request field |
Examples in 22 languages and Try it →
Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
DELETE/api/folders/{id}Delete folders by ID
Removes the selected resource after authorization. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
200 Success400 Invalid request401 Invalid key429 Rate limited
POST/api/folders/{id}Create or update folders by ID
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 2
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
defaults | body | JSON request field |
Examples in 22 languages and Try it →
Responses
200 Success400 Invalid request401 Invalid key429 Rate limited

